HomeGuidesReference↗ Forage Dashboard
Log In
Reference

Cancel or Void a Payment

A POST request to /payments/{payment_ref}/cancel/ stops an existing Payment object from being submitted for capture in future API calls.

For EBT Payments, a Payment can only be canceled if its status is requires_confirmation or failed. For HSA/FSA payments, the Payment can only be canceled if its status is authorized.

For HSA/FSA payments, this endpoint voids a previous authorization, or prevents future authorization attempts against the Payment. A voided authorization will be removed from the cardholder's statements.

Path Params
string
required

A unique reference hash for the Forage Payment object, returned when the Payment was created.

Headers
string
required

An OAuth 2.0 authentication token that validates the request. Send a POST to the /o/token/ endpoint to generate an authentication token. Pass the token in this header after the word Bearer and a whitespace, for example Bearer <api_key>.

string
required

A unique merchant ID that Forage provides during onboarding, as in 123ab45c67. The Merchant ID can be found in the Forage sandbox or production dashboard.

string
required

An alphanumeric key that clients can use to identify repeated requests that are dropped in transit. Generate a distinct key for every unique request and only re-use keys for retries.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json